# GM - Field Path

## **Documentation**

**GM - Field Path** component is used to display the progress of a process based on the specified picklist field. This component doesn't need path configuration to display the stages.

**Use case:** Display opportunity sub stage using a custom picklist field.

## **Specification**

<table data-full-width="true"><thead><tr><th>Property</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>recordId</td><td>String</td><td>Record Id to use. Keep this empty if you want to use the current record.</td></tr><tr><td>PickList Field Name</td><td>String</td><td>PickList field API name to use for stages.</td></tr><tr><td>Path Variant</td><td>String</td><td>Path variant to use; linear or non-linear.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="FieldPathComponent.design" %}
{% code fullWidth="true" %}

```xml
<design:component label="GM - Field Path">
    <design:attribute name="recordId" label="recordId" 
        description="recordId to use. Keep this empty if you want to use the current record"/>        
    <design:attribute name="variant" label="Path Variant"
        description="Path variant to use"/>    
    <design:attribute name="field" label="PickList Field Name"
        description="PickList field name to use for stages"/>
    <design:attribute name="jsonStages" label="Path Stages" 
        description="Json Path Stages. [{'label' : value, 'filter' : value}]"/>           
    <design:attribute name="mode" label="Display Mode"
        description="Display mode view | edit"/>        
</design:component>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-field-path.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
